## org.eclipse.uml2.uml
Interface Class

All Superinterfaces:
  BehavioredClassifier, Classifier, Element, org.eclipse.emf.ecore.EModelElement, EncapsulatedClassifier, org.eclipse.emf.ecore.EObject, NamedElement, Namespace, org.eclipse.emf.common.notify.Notifier, PackageableElement, ParameterableElement, RedefinableElement, StructuredClassifier, TemplateableElement, Type

All Known Subinterfaces:
  Activity, AssociationClass, Behavior, Component, Device, ExecutionEnvironment, FunctionBehavior, Interaction, Node, OpaqueBehavior, ProtocolStateMachine, StateMachine, Stereotype

    public interface Class

extends EncapsulatedClassifier, BehavioredClassifier

A representation of the model object 'Class'. A class describes a set of objects that share the same specifications of features, constraints, and semantics. A class may be designated as active (i.e., each of its instances having its own thread of control) or passive (i.e., each of its instances executing within the context of some other object). A class may also specify which signals the instances of this class handle. A class has the capability to have an internal structure and ports. Class has derived association that indicates how it may be extended through one or more stereotypes. Stereotype is the only kind of metaclass that cannot be extended by stereotypes.

The following features are supported:

- `Nested Classifier`
- `Owned Operation`
- `Super Class`
- `Is Active`
- `Owned Reception`
- `Extension`

See Also:
  `UMLPackage.getClass_()`

Method Summary
`Classifier` `createNestedClassifier(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Classifier`, with the specified 'Name', and appends it to the 'Nested Classifier' containment reference list
`Operation` `createOwnedOperation(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames, org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)` Creates a new `Operation`, with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', and appends it to the 'Owned Operation' containment reference list
`Operation` `createOwnedOperation(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> parameterNames, org.eclipse.emf.common.util.EList<Type> parameterTypes, Type returnType)` Creates an operation with the specified name, parameter names, parameter types, and return type (or null) as an owned operation of this class.
`Reception` `createOwnedReception(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames, org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)` Creates a new `Reception`, with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', and appends it to the 'Owned Reception' containment reference list
`Extension` `getExtension(java.lang.String name)` Retrieves the first `Extension` with the specified 'Name' from the 'Extension' reference list
`Extension` `getExtension(java.lang.String name, boolean ignoreCase)` Retrieves the first `Extension` with the specified 'Name' from the 'Extension' reference list
`org.eclipse.emf.common.util.EList<Extension>` `getExtensions()` Returns the value of the 'Extension' reference list.
`Classifier` `getNestedClassifier(java.lang.String name)` Retrieves the first `Classifier` with the specified 'Name' from the 'Nested Classifier' containment reference list
`Classifier` `getNestedClassifier(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `Classifier` with the specified 'Name' from the 'Nested Classifier' containment reference list
`org.eclipse.emf.common.util.EList<Classifier>` `getNestedClassifiers()` Returns the value of the 'Nested Classifier' containment reference list.
`Operation` `getOwnedOperation(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames, org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)` Retrieves the first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Operation' containment reference list
`Operation` `getOwnedOperation(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames, org.eclipse.emf.common.util.EList<Type> ownedParameterTypes, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Operation' containment reference list
`org.eclipse.emf.common.util.EList<Operation>` `getOwnedOperations()` Returns the value of the 'Owned Operation' containment reference list.
`Reception` `getOwnedReception(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames, org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)` Retrieves the first `Reception` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Reception' containment reference list
`Reception` `getOwnedReception(java.lang.String name, org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames, org.eclipse.emf.common.util.EList<Type> ownedParameterTypes, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `Reception` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Reception' containment reference list
`org.eclipse.emf.common.util.EList<Reception>` `getOwnedReceptions()` Returns the value of the 'Owned Reception' containment reference list.
`Class` `getSuperClass(java.lang.String name)` Retrieves the first `Class` with the specified 'Name' from the 'Super Class' reference list
`Class` `getSuperClass(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `Class` with the specified 'Name' from the 'Super Class' reference list
`org.eclipse.emf.common.util.EList<Class>` `getSuperClasses()` Returns the value of the 'Super Class' reference list.
`boolean` `isActive()` Returns the value of the 'Is Active' attribute.
`boolean` `isMetaclass()` Determines whether this class is a metaclass
`void` `setIsActive(boolean value)` Sets the value of the '`Is Active`' attribute
`boolean` `validatePassiveClass(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` A passive class may not own receptions.

Methods inherited from interface org.eclipse.uml2.uml.EncapsulatedClassifier
`createOwnedPort, getOwnedPort, getOwnedPort, getOwnedPorts`

Methods inherited from interface org.eclipse.uml2.uml.StructuredClassifier
`createOwnedAttribute, createOwnedAttribute, createOwnedAttribute, createOwnedConnector, getOwnedAttribute, getOwnedAttribute, getOwnedAttributes, getOwnedConnector, getOwnedConnector, getOwnedConnectors, getPart, getPart, getParts, getRole, getRole, getRoles, validateMultiplicities`

Methods inherited from interface org.eclipse.uml2.uml.Classifier

`allFeatures, allParents, conformsTo, createCollaborationUse, createGeneralization, createOwnedUseCase, createRepresentation, createSubstitution, getAllAttributes, getAllOperations, getAllUsedInterfaces, getAttribute, getAttribute, getAttributes, getCollaborationUse, getCollaborationUse, getCollaborationUses, getFeature, getFeature, getFeatures, getGeneral, getGeneral, getGeneralization, getGeneralization, getGeneralizations, getGenerals, getInheritedMember, getInheritedMember, getInheritedMembers, getOperation, getOperation, getOperations, getOwnedUseCase, getOwnedUseCase, getOwnedUseCases, getPowertypeExtent, getPowertypeExtent, getPowertypeExtents, getRedefinedClassifier, getRedefinedClassifier, getRedefinedClassifiers, getRepresentation, getSubstitution, getSubstitution, getSubstitutions, getUseCase, getUseCase, getUseCases, getUsedInterfaces, hasVisibilityOf, inherit, inheritableMembers, isAbstract, maySpecializeType, parents, setIsAbstract, setRepresentation, validateGeneralizationHierarchies, validateMapsToGeneralizationSet, validateNoCyclesInGeneralization, validateSpecializeType`

Methods inherited from interface org.eclipse.uml2.uml.Namespace

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getMembers, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedMembers, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.Type
`conformsTo, createAssociation, getAssociations, getPackage, setPackage`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ParameterableElement
`getOwningTemplateParameter, getTemplateParameter, isCompatibleWith, isTemplateParameter, setOwningTemplateParameter, setTemplateParameter`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.TemplateableElement
`createOwnedTemplateSignature, createOwnedTemplateSignature, createTemplateBinding, getOwnedTemplateSignature, getTemplateBinding, getTemplateBinding, getTemplateBindings, isTemplate, parameterableElements, setOwnedTemplateSignature`

Methods inherited from interface org.eclipse.uml2.uml.BehavioredClassifier

`createClassifierBehavior, createInterfaceRealization, createOwnedBehavior, createOwnedTrigger, getAllImplementedInterfaces, getClassifierBehavior, getImplementedInterfaces, getInterfaceRealization, getInterfaceRealization, getInterfaceRealizations, getOwnedBehavior, getOwnedBehavior, getOwnedBehaviors, getOwnedTrigger, getOwnedTrigger, getOwnedTriggers, setClassifierBehavior, validateClassBehavior`

Method Detail

### getOwnedOperations

    org.eclipse.emf.common.util.EList<Operation> getOwnedOperations()

  Returns the value of the 'Owned Operation' containment reference list. The list contents are of type `Operation`. It is bidirectional and its opposite is '`Class`'.

  This feature subsets the following features:

  - '`Feature`'
  - '`Owned Member`'
  The operations owned by the class.

  Returns:
    the value of the 'Owned Operation' containment reference list.
  See Also:
    `UMLPackage.getClass_OwnedOperation()`, `Operation.getClass_()`

### createOwnedOperation

    Operation createOwnedOperation(java.lang.String name,
                                   org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames,
                                   org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)

  Creates a new `Operation`, with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', and appends it to the 'Owned Operation' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Operation`, or `null`.
    `ownedParameterNames` - The 'Owned Parameter Names' for the new `Operation`, or `null`.
    `ownedParameterTypes` - The 'Owned Parameter Types' for the new `Operation`, or `null`.
  Returns:
    The new `Operation`.
  See Also:
    `getOwnedOperations()`

### getOwnedOperation

    Operation getOwnedOperation(java.lang.String name,
                                org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames,
                                org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)

  Retrieves the first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Operation' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Operation` to retrieve, or `null`.
    `ownedParameterNames` - The 'Owned Parameter Names' of the `Operation` to retrieve, or `null`.
    `ownedParameterTypes` - The 'Owned Parameter Types' of the `Operation` to retrieve, or `null`.
  Returns:
    The first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', or `null`.
  See Also:
    `getOwnedOperations()`

### getOwnedOperation

    Operation getOwnedOperation(java.lang.String name,
                                org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames,
                                org.eclipse.emf.common.util.EList<Type> ownedParameterTypes,
                                boolean ignoreCase,
                                boolean createOnDemand)

  Retrieves the first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Operation' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Operation` to retrieve, or `null`.
    `ownedParameterNames` - The 'Owned Parameter Names' of the `Operation` to retrieve, or `null`.
    `ownedParameterTypes` - The 'Owned Parameter Types' of the `Operation` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `Operation` on demand if not found.
  Returns:
    The first `Operation` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', or `null`.
  See Also:
    `getOwnedOperations()`

### getNestedClassifiers

    org.eclipse.emf.common.util.EList<Classifier> getNestedClassifiers()

  Returns the value of the 'Nested Classifier' containment reference list. The list contents are of type `Classifier`.

  This feature subsets the following features:

  - '`Owned Member`'
  References all the Classifiers that are defined (nested) within the Class.

  Returns:
    the value of the 'Nested Classifier' containment reference list.
  See Also:
    `UMLPackage.getClass_NestedClassifier()`

### createNestedClassifier

    Classifier createNestedClassifier(java.lang.String name,
                                      org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Classifier`, with the specified 'Name', and appends it to the 'Nested Classifier' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Classifier`, or `null`.
    `eClass` - The Ecore class of the `Classifier` to create.
  Returns:
    The new `Classifier`.
  See Also:
    `getNestedClassifiers()`

### getNestedClassifier

    Classifier getNestedClassifier(java.lang.String name)

  Retrieves the first `Classifier` with the specified 'Name' from the 'Nested Classifier' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Classifier` to retrieve, or `null`.
  Returns:
    The first `Classifier` with the specified 'Name', or `null`.
  See Also:
    `getNestedClassifiers()`

### getNestedClassifier

    Classifier getNestedClassifier(java.lang.String name,
                                   boolean ignoreCase,
                                   org.eclipse.emf.ecore.EClass eClass,
                                   boolean createOnDemand)

  Retrieves the first `Classifier` with the specified 'Name' from the 'Nested Classifier' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Classifier` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Classifier` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `Classifier` on demand if not found.
  Returns:
    The first `Classifier` with the specified 'Name', or `null`.
  See Also:
    `getNestedClassifiers()`

### getSuperClasses

    org.eclipse.emf.common.util.EList<Class> getSuperClasses()

  Returns the value of the 'Super Class' reference list. The list contents are of type `Class`.

  This feature redefines the following features:

  - '`General`'
  This gives the superclasses of a class.

  Returns:
    the value of the 'Super Class' reference list.
  See Also:
    `UMLPackage.getClass_SuperClass()`

### getSuperClass

    Class getSuperClass(java.lang.String name)

  Retrieves the first `Class` with the specified 'Name' from the 'Super Class' reference list.

  Parameters:
    `name` - The 'Name' of the `Class` to retrieve, or `null`.
  Returns:
    The first `Class` with the specified 'Name', or `null`.
  See Also:
    `getSuperClasses()`

### getSuperClass

    Class getSuperClass(java.lang.String name,
                        boolean ignoreCase,
                        org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `Class` with the specified 'Name' from the 'Super Class' reference list.

  Parameters:
    `name` - The 'Name' of the `Class` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Class` to retrieve, or `null`.
  Returns:
    The first `Class` with the specified 'Name', or `null`.
  See Also:
    `getSuperClasses()`

### isActive

    boolean isActive()

  Returns the value of the 'Is Active' attribute. The default value is `"false"`. Determines whether an object specified by this class is active or not. If true, then the owning class is referred to as an active class. If false, then such a class is referred to as a passive class.

  Returns:
    the value of the 'Is Active' attribute.
  See Also:
    `setIsActive(boolean)`, `UMLPackage.getClass_IsActive()`

### setIsActive

    void setIsActive(boolean value)

  Sets the value of the '`Is Active`' attribute.

  Parameters:
    `value` - the new value of the 'Is Active' attribute.
  See Also:
    `isActive()`

### getOwnedReceptions

    org.eclipse.emf.common.util.EList<Reception> getOwnedReceptions()

  Returns the value of the 'Owned Reception' containment reference list. The list contents are of type `Reception`.

  This feature subsets the following features:

  - '`Owned Member`'
  - '`Feature`'
  Receptions that objects of this class are willing to accept.

  Returns:
    the value of the 'Owned Reception' containment reference list.
  See Also:
    `UMLPackage.getClass_OwnedReception()`

### createOwnedReception

    Reception createOwnedReception(java.lang.String name,
                                   org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames,
                                   org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)

  Creates a new `Reception`, with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', and appends it to the 'Owned Reception' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Reception`, or `null`.
    `ownedParameterNames` - The 'Owned Parameter Names' for the new `Reception`, or `null`.
    `ownedParameterTypes` - The 'Owned Parameter Types' for the new `Reception`, or `null`.
  Returns:
    The new `Reception`.
  See Also:
    `getOwnedReceptions()`

### getOwnedReception

    Reception getOwnedReception(java.lang.String name,
                                org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames,
                                org.eclipse.emf.common.util.EList<Type> ownedParameterTypes)

  Retrieves the first `Reception` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Reception' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Reception` to retrieve, or `null`.
    `ownedParameterNames` - The 'Owned Parameter Names' of the `Reception` to retrieve, or `null`.
    `ownedParameterTypes` - The 'Owned Parameter Types' of the `Reception` to retrieve, or `null`.
  Returns:
    The first `Reception` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', or `null`.
  See Also:
    `getOwnedReceptions()`

### getOwnedReception

    Reception getOwnedReception(java.lang.String name,
                                org.eclipse.emf.common.util.EList<java.lang.String> ownedParameterNames,
                                org.eclipse.emf.common.util.EList<Type> ownedParameterTypes,
                                boolean ignoreCase,
                                boolean createOnDemand)

  Retrieves the first `Reception` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types' from the 'Owned Reception' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Reception` to retrieve, or `null`.
    `ownedParameterNames` - The 'Owned Parameter Names' of the `Reception` to retrieve, or `null`.
    `ownedParameterTypes` - The 'Owned Parameter Types' of the `Reception` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `Reception` on demand if not found.
  Returns:
    The first `Reception` with the specified 'Name', 'Owned Parameter Names', and 'Owned Parameter Types', or `null`.
  See Also:
    `getOwnedReceptions()`

### getExtensions

    org.eclipse.emf.common.util.EList<Extension> getExtensions()

  Returns the value of the 'Extension' reference list. The list contents are of type `Extension`. It is bidirectional and its opposite is '`Metaclass`'. References the Extensions that specify additional properties of the metaclass. The property is derived from the extensions whose memberEnds are typed by the Class.

  Returns:
    the value of the 'Extension' reference list.
  See Also:
    `UMLPackage.getClass_Extension()`, `Extension.getMetaclass()`

### getExtension

    Extension getExtension(java.lang.String name)

  Retrieves the first `Extension` with the specified 'Name' from the 'Extension' reference list.

  Parameters:
    `name` - The 'Name' of the `Extension` to retrieve, or `null`.
  Returns:
    The first `Extension` with the specified 'Name', or `null`.
  See Also:
    `getExtensions()`

### getExtension

    Extension getExtension(java.lang.String name,
                           boolean ignoreCase)

  Retrieves the first `Extension` with the specified 'Name' from the 'Extension' reference list.

  Parameters:
    `name` - The 'Name' of the `Extension` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `Extension` with the specified 'Name', or `null`.
  See Also:
    `getExtensions()`

### validatePassiveClass

    boolean validatePassiveClass(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  A passive class may not own receptions. not self.isActive implies self.ownedReception.isEmpty()

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### createOwnedOperation

    Operation createOwnedOperation(java.lang.String name,
                                   org.eclipse.emf.common.util.EList<java.lang.String> parameterNames,
                                   org.eclipse.emf.common.util.EList<Type> parameterTypes,
                                   Type returnType)

  Creates an operation with the specified name, parameter names, parameter types, and return type (or null) as an owned operation of this class.

  Parameters:
    `name` - The name for the new operation, or null.
    `parameterNames` - The parameter names for the new operation, or null.
    `parameterTypes` - The parameter types for the new operation, or null.
    `returnType` - The return type for the new operation, or null.

### isMetaclass

    boolean isMetaclass()

  Determines whether this class is a metaclass.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.